### org.jfree.layouting.input.style.values

# Class CSSNumericValue

- `java.lang.Object`
- - `org.jfree.layouting.input.style.values.CSSNumericValue`

Implemented Interfaces:
  CSSValue, Serializable

Known Direct Subclasses:
  CSSTimeValue

`public class CSSNumericValue`
`extends java.lang.Object`
`implements CSSValue`

Creation-Date: 23.11.2005, 11:37:44

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSNumericValue`

  `ZERO_LENGTH`

  ## Constructor Summary

  `CSSNumericValue(CSSNumericType type, double value)`

  ## Method Summary

  `static CSSNumericValue`

  `createPtValue(double value)`

  `static CSSNumericValue`

  `createValue(CSSNumericType type, double value)`

  `String`

  `getCSSText()`

  `CSSNumericType`

  `getType()`

  `double`

  `getValue()`

  `String`

  `toString()`

## Field Details

### ZERO_LENGTH

    public static final CSSNumericValue ZERO_LENGTH

## Constructor Details

### CSSNumericValue

    protected CSSNumericValue(CSSNumericType type,
                              double value)

## Method Details

### createPtValue

    public static CSSNumericValue createPtValue(double value)

### createValue

    public static CSSNumericValue createValue(CSSNumericType type,
                                              double value)

### getCSSText

    public String getCSSText()

> Specified by:
>   getCSSText in interface CSSValue

### getType

    public CSSNumericType getType()

### getValue

    public double getValue()

### toString

    public String toString()